Signed-off-by: Wang Chenglong 18509160991@163.com --- tests/ansible_test | 83 ++++++++++++++++++++++++++++++++++++++++++++++ 1 file changed, 83 insertions(+) create mode 100755 tests/ansible_test
diff --git a/tests/ansible_test b/tests/ansible_test new file mode 100755 index 000000000..43a9ce341 --- /dev/null +++ b/tests/ansible_test @@ -0,0 +1,83 @@ +#!/bin/bash +# - ansible_repo + +. $LKP_SRC/lib/debug.sh + +check_vars() +{ + ansible_host=localhost + echo $ansible_host + + [ -n "$ansible_repo" ] || die "ansible_repo is empty" + benchmark=${ansible_repo##*/} + + ansible_path=/root/.ansible + [ -d "$ansible_path" ] || mkdir -p /root/.ansible +} + +install_ansible() +{ + if [ "$os" == "openeuler" ]; then + yum -y reinstall git + yum -y install python3 + pip3 install ansible + elif [ "$os" == "centos" ]; then + yum -y install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm + yum -y reinstall git + yum -y install ansible + elif [ "$os" == "debian" ]; then + apt-get install -y ansible + fi + + command -v ansible > /dev/null && { + ansible localhost -m ping + [ $? -eq 0 ] || { + echo "Ansible failed to install." + exit 1 + } + } +} + +download_ansible_role() +{ + ansible_roles_path=$ansible_path/roles + [ -d $ansible_roles_path ] || mkdir -p $ansible_roles_path + cd $ansible_roles_path + git clone git://github.com/$ansible_repo.git + if [ $? -eq 0 ]; then + echo "$benchmark is successfully installed" + else + echo "Please check whether your ansible_repo is correct!" + exit 1 + fi +} + +ansible_playbook_run() +{ + cat <<-EOF > "$ansible_path"/site.yml + - hosts: $ansible_host + roles: + - role: $benchmark + EOF + [ $? -eq 0 ] && { + echo "Playbook has been generated!" + } + + ansible-playbook "$ansible_path"/site.yml + + if [ $? -eq 0 ]; then + echo "Your playbook is running successfully!" + else + echo "Your playbook failed to run!" && exit 1 + fi +} + +main() +{ + check_vars + install_ansible + download_ansible_role + ansible_playbook_run +} + +main
new file mode 100755 index 000000000..43a9ce341 --- /dev/null +++ b/tests/ansible_test @@ -0,0 +1,83 @@ +#!/bin/bash +# - ansible_repo
+. $LKP_SRC/lib/debug.sh
+check_vars() +{
- ansible_host=localhost
- echo $ansible_host
- [ -n "$ansible_repo" ] || die "ansible_repo is empty"
- benchmark=${ansible_repo##*/}
- ansible_path=/root/.ansible
- [ -d "$ansible_path" ] || mkdir -p /root/.ansible
+}
+install_ansible() +{
- if [ "$os" == "openeuler" ]; then
yum -y reinstall git
yum -y install python3
pip3 install ansible
- elif [ "$os" == "centos" ]; then
yum -y install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
yum -y reinstall git
yum -y install ansible
- elif [ "$os" == "debian" ]; then
apt-get install -y ansible
- fi
- command -v ansible > /dev/null && {
ansible localhost -m ping
[ $? -eq 0 ] || {
echo "Ansible failed to install."
exit 1
}
- }
+}
+download_ansible_role() +{
- ansible_roles_path=$ansible_path/roles
- [ -d $ansible_roles_path ] || mkdir -p $ansible_roles_path
- cd $ansible_roles_path
- git clone git://github.com/$ansible_repo.git
- if [ $? -eq 0 ]; then
echo "$benchmark is successfully installed"
- else
echo "Please check whether your ansible_repo is correct!"
exit 1
- fi
+}
+ansible_playbook_run() +{
- cat <<-EOF > "$ansible_path"/site.yml
- hosts: $ansible_host
roles:
- role: $benchmark
- EOF
- [ $? -eq 0 ] && {
echo "Playbook has been generated!"
}
ansible-playbook "$ansible_path"/site.yml
- if [ $? -eq 0 ]; then
echo "Your playbook is running successfully!"
- else
echo "Your playbook failed to run!" && exit 1
you can keep the same style with the previous function.
Thanks, Luan Shengde
- fi
+}
+main() +{
- check_vars
- install_ansible
- download_ansible_role
- ansible_playbook_run
+}
+main
2.23.0
On Mon, Mar 15, 2021 at 09:29:00AM +0800, Luan Shengde wrote:
new file mode 100755 index 000000000..43a9ce341 --- /dev/null +++ b/tests/ansible_test @@ -0,0 +1,83 @@ +#!/bin/bash +# - ansible_repo
+. $LKP_SRC/lib/debug.sh
+check_vars() +{
- ansible_host=localhost
- echo $ansible_host
- [ -n "$ansible_repo" ] || die "ansible_repo is empty"
- benchmark=${ansible_repo##*/}
- ansible_path=/root/.ansible
- [ -d "$ansible_path" ] || mkdir -p /root/.ansible
+}
+install_ansible() +{
- if [ "$os" == "openeuler" ]; then
yum -y reinstall git
yum -y install python3
pip3 install ansible
- elif [ "$os" == "centos" ]; then
yum -y install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
yum -y reinstall git
yum -y install ansible
- elif [ "$os" == "debian" ]; then
apt-get install -y ansible
- fi
- command -v ansible > /dev/null && {
ansible localhost -m ping
[ $? -eq 0 ] || {
echo "Ansible failed to install."
exit 1
}
- }
+}
+download_ansible_role() +{
- ansible_roles_path=$ansible_path/roles
- [ -d $ansible_roles_path ] || mkdir -p $ansible_roles_path
- cd $ansible_roles_path
- git clone git://github.com/$ansible_repo.git
- if [ $? -eq 0 ]; then
echo "$benchmark is successfully installed"
- else
echo "Please check whether your ansible_repo is correct!"
exit 1
- fi
+}
+ansible_playbook_run() +{
- cat <<-EOF > "$ansible_path"/site.yml
- hosts: $ansible_host
roles:
- role: $benchmark
- EOF
- [ $? -eq 0 ] && {
echo "Playbook has been generated!"
}
ansible-playbook "$ansible_path"/site.yml
- if [ $? -eq 0 ]; then
echo "Your playbook is running successfully!"
- else
echo "Your playbook failed to run!" && exit 1
you can keep the same style with the previous function.
ok.
Thanks, Chenglong
Thanks, Luan Shengde
- fi
+}
+main() +{
- check_vars
- install_ansible
- download_ansible_role
- ansible_playbook_run
+}
+main
2.23.0